import request from "../../request.js"

export function getAppPatientList(id) {
	return request({
		url: `/nurseApp/login/getAppPatientList?patientId=${id}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}

export function getAppStationItemInfo(stationId, stationItemId, stationItemPriceId) {
	return request({
		url: `/nurseApp/login/getAppStationItemInfo?stationId=${stationId}&stationItemId=${stationItemId}&stationItemPriceId=${stationItemPriceId}`,
		method: 'GET',
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
export function submitAppointment(data) {
	return request({
		url: `/nurseApplet/login/appointment`,
		method: 'post',
		data,
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
// 小程序预约服务支付接口
export function appletAppointmentOrderPay(data) {
	return request({
		url: `/nurseApp/weChatPayment/appletAppointmentOrderPay`,
		method: 'post',
		data,
		header: {
			Authorization: 'Bearer' + ' ' + uni.getStorageSync('token')
		},
	})
}
